'''
Copyright (c) 2020, NVIDIA CORPORATION. All rights reserved.

NVIDIA CORPORATION and its licensors retain all intellectual property
and proprietary rights in and to this software, related documentation
and any modifications thereto. Any use, reproduction, disclosure or
distribution of this software and related documentation without an express
license agreement from NVIDIA CORPORATION is strictly prohibited.
'''

from engine.pyalice import *


class ProtoTestComponent(Codelet):
    def start(self):
        self.rx = self.isaac_proto_rx("Detections2Proto", "det_r_ids")

        print("Started successfully!")        


def main():
    app = Application(app_filename="apps/proto_test/proto_test.app.json")
    app.nodes["proto_test_component"].add(ProtoTestComponent)
    app.start_wait_stop()


if __name__ == '__main__':
    main()
